Docs
Search docs...⌘K

Posts

API + MCP
GET/v3/social-media/posts

Requests to this endpoint are free and do not consume any API units.

Query parameters

offsetinteger

The number of results to skip.

Default:0
limitinteger

The number of results to return.

Default:50
order_directionstring

The order in which results are returned, ascending or descending.

Allowed values:ascdesc
order_bystring

Sort field for posts. Metric-based sorting only applies to published posts.

Allowed values:dateviewsunique_viewscommentslikes
date_tostring

The end date of the historical period in YYYY-MM-DD format.

date_fromstring

The start date of the historical period in YYYY-MM-DD format.

search_querystring

Text search query to filter posts by content.

author_idsarray

Comma-separated list of author user IDs to filter by.

channel_idsarray

Comma-separated list of channel IDs to filter by.

statusstringRequired

The publishing lifecycle stage of the post.

Allowed values:publishedscheduleddraftfaileddeleted
outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

postsarray<object>
post_idinteger

Unique identifier for the post.

channelsarray<object>

Social media channels associated with the post.

text_contentstring

Text content of the post.

auto_commentstring or null

Auto-comment text posted after publishing.

status_timestampstring

Timestamp associated with the current status.

permalinkstring or null

URL of the published post on the platform.

external_post_idstring or null

Platform-specific post identifier.

author_idstring or null

Unique identifier of the author.

author_namestring or null

Name of the author.

created_atstring

Timestamp when the author created the post.